#!/bin/bash


function fail_if_error(){
    if [[ $1 != 0 ]]; then
		echo " -> failed !!"
		cat $2
		exit $3
    fi
}

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
SAVED_DIR=`pwd`

cd $SCRIPT_DIR/vagrant


echo "Stopping Cluster"

echo "1. Stopping mes_node2 VM ..."
vagrant halt mes_node2 > /tmp/stop_mes_node2.log 2>&1

echo "2. Stopping mes_node1 VM ..."
vagrant halt mes_node1 > /tmp/stop_mes_node1.log 2>&1

echo "3. Stopping mes_master VM ..."
vagrant halt mes_master > /tmp/stop_mes_master.log 2>&1



cd $SAVED_DIR
